package com.cyksj.model.entity;

import com.cyksj.model.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/*
 *项目名: yhlxj
 *文件名: YhShopDistributeWaitingSendPoints
 *创建者: JavaZou
 *创建时间:2023/9/14 14:01
 */
@Getter
@Setter
public class YhShopDistributeWaitingSendPoints extends BaseEntity {
	/**
	 * 店铺用户id
	 */
	private Long userId;

	/**
	 * 店铺主id
	 */
	private Long shopUserId;

	private Long orderId;

	private Long skuId;

	/**
	 * 分成金额
	 */
	private BigDecimal money;

	/**
	 * 订单退款扣除的分成金额
	 */
	private BigDecimal refundMoney;

	/**
	 * 提成比例
	 */
	private Integer rate;

	private Date sendTime;

	private Status sendStatus;

	public enum Status{
		close("店铺分销订单关闭,积分奖励不分发"),
		success("积分发送成功"),
		waiting("积分等待发送"),
		not_exist("用户不存在,导致发送失败"),
		;
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}
}
